
Foreman - Bug #36691

Enable connectefi scsi for grub2 by default

08/22/2023 01:35 PM - Bernhard Suttner

Status: Closed   

Priority: Normal   

Assignee: Bernhard Suttner   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9810

  

Description

In

https://github.com/theforeman/foreman/blame/e2161596bb7e420e31fbb311e4768606effb715a/app/views/unattended/provisioning_te

mplates/snippet/pxegrub2_chainload.erb#L34

connectefi scsi for grub2 was added by turned off by default.

As https://git.almalinux.org/rpms/grub2/src/branch/c8/SPECS/grub2.spec#L592 and 

https://github.com/rhboot/grub2/blame/205b7b44bb2a7911f1e8c1ce22d66c111a4b429e/NEWS#L101 mentioned, this feature should

be available for all up to date grub2 versions. Therefore, it should be enabled by default.

Associated revisions

Revision 7a77b3ce - 04/23/2024 11:28 AM - Bernhard Suttner

Fixes #36691 - use 'connectefi scsi' by default

Co-Authored-by: Shimon Shtein <sshtein@redhat.com>

Co-Authored-by: Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>

History

#1 - 08/22/2023 01:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/9810 added

#2 - 04/23/2024 11:28 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 04/23/2024 01:00 PM - Bernhard Suttner

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7a77b3ce51a2c446c1389d7b742eb0749d821ef2.

Powered by TCPDF (www.tcpdf.org)

05/09/2024 1/1

https://github.com/theforeman/foreman/blame/e2161596bb7e420e31fbb311e4768606effb715a/app/views/unattended/provisioning_templates/snippet/pxegrub2_chainload.erb#L34
https://github.com/theforeman/foreman/blame/e2161596bb7e420e31fbb311e4768606effb715a/app/views/unattended/provisioning_templates/snippet/pxegrub2_chainload.erb#L34
https://git.almalinux.org/rpms/grub2/src/branch/c8/SPECS/grub2.spec#L592
https://github.com/rhboot/grub2/blame/205b7b44bb2a7911f1e8c1ce22d66c111a4b429e/NEWS#L101
mailto:sshtein@redhat.com
mailto:ewoud@kohlvanwijngaarden.nl
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7a77b3ce51a2c446c1389d7b742eb0749d821ef2
http://www.tcpdf.org

